## nanny 0.1.8

=== DESCRIPTION ===
Package: nanny
Type: Package
Title: High-Level Data Analysis and Manipulation in 'tidyverse' Style
Version: 0.1.8
Authors@R: 
    person(given = "Stefano",
           family = "Mangiola",
           role = c("aut", "cre"),
           email = "mangiolastefano@gmail.com")
Maintainer: Stefano Mangiola <mangiolastefano@gmail.com>
Description: 
    Includes wrapper functions for the main high-level data analysis and manipulations, 
    such as cluster, dimensionality reduction, redundancy elimination, identify variable elements. 
    It operates on tidy data frames with element, feature and value column.
License: GPL-3
Depends: R (>= 3.6.0)
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.0
Imports: lifecycle, magrittr, tibble, dplyr, tidyselect, purrr, rlang,
        tidyr, methods, lme4, stats, utils, knitr, widyr, Rtsne, gtools
RdMacros: lifecycle
Suggests: testthat, Seurat, limma, GGally, ggplot2
VignetteBuilder: knitr
Biarch: true
biocViews: AssayDomain, Infrastructure
NeedsCompilation: no
Packaged: 2020-06-09 00:27:46 UTC; mangiola.s
Author: Stefano Mangiola [aut, cre]
Repository: CRAN
Date/Publication: 2020-06-13 13:50:03 UTC

## nanny 2.29.4

=== debian/changelog ===
nanny (2.29.4-0ubuntu4) maverick; urgency=low

  * Start nanny programs with gksudo (closes: LP: #645997) 

 -- Jonathan Carter <jonathan@ubuntu.com>  Thu, 23 Sep 2010 09:00:57 -0400

nanny (2.29.4-0ubuntu3) maverick; urgency=low

  * Update postinst so that it doesn't fail if udev/upstart/dbus isn't running.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 23 Aug 2010 22:27:26 -0400

nanny (2.29.4-0ubuntu2) maverick; urgency=low

  * Add debian/source
  * Add debian/README.source
  * Universe upload (closes: LP# 501528) 
  * Update standard version to 3.9.1
  * Set edubuntu-developers as maintainer

 -- Jonathan Carter <jonathan@ubuntu.com>  Fri, 06 Aug 2010 09:21:52 -0400

nanny (2.29.4-0ubuntu1) lucid; urgency=low

  * New upstream version 2.29.4
  * Removed patches which are already integrated upstream
  * Added missed python-gtop build-depend
  * Upgraded Standard-Version to 3.8.4
  * Added patch for taking off the encoding from the .desktop file 

 -- Juanje Ojeda Croissier <jojeda@emergya.es>  Tue, 18 May 2010 00:20:54 +0200

nanny (2.29.3-0ubuntu2~lucid1) unstable; urgency=low

  * Added missed python-gtop depend (LP: #526932) 

 -- Juanje Ojeda Croissier <jojeda@emergya.es>  Wed, 24 Feb 2010 11:10:07 +0100

nanny (2.29.3-0ubuntu2) jaunty; urgency=low

  * Fix .la crash
  * Add patches/help_button_crash.diff 

 -- Roberto Majadas <roberto.majadas@openshine.com>  Sun, 21 Feb 2010 20:38:08 +0100

nanny (2.29.3-0ubuntu1) jaunty; urgency=low

  * New upstream release

 -- Juanje Ojeda Croissier <jojeda@emergya.es>  Sun, 21 Feb 2010 18:55:16 +0100

nanny (2.29.1-0ubuntu2) jaunty; urgency=low

  * New upstream changes
  * Added python-hachoir-regex as a depend
  * Set up .autogen.sh as DEB_CONFIGURE_SCRIPT at debian/rules file 
  * Added some missing bild-deps

 -- Juanje Ojeda Croissier <jojeda@emergya.es>  Mon, 08 Feb 2010 02:14:18 +0100

nanny (2.29.1-0ubuntu1) jaunty; urgency=low

  * Initial release (LP: #501528)
  * Separate the upstream code from the packaging stuff
  * Fixed some policy and copyright stuff

 -- Juanje Ojeda Croissier <jojeda@emergya.es>  Wed, 30 Dec 2009 02:16:50 +0000

nanny (2.29.1-0) jaunty; urgency=low

  * First release 

 -- Roberto Majadas <roberto.majadas@openshine.com>  Sat, 28 Nov 2009 19:24:51 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

# Add here any variable or target overrides you need.

DEB_UPDATE_RCD_PARAMS := "start 99 2 3 4 5 . stop 40 0 1 6 ."

ifeq (autogen.sh,$(wildcard autogen.sh))
        # Found autogen.sh, which probably means we're building from CVS.
        DEB_CONFIGURE_SCRIPT := ./autogen.sh
        DEB_CONFIGURE_INVOKE := ./autogen.sh --prefix=/usr --sysconfdir=/etc
endif

export DH_ALWAYS_EXCLUDE=CVS:.git

clean::
	find . -name \*pyc -exec rm '{}' \;

binary-post-install/nanny::
	find debian/nanny/usr/ -name *.la -exec rm -f {} \;
	egrep -rlZ '^#!(.*)python' debian/nanny/usr/lib/ | xargs -0 chmod a+x --
	mv debian/nanny.postinst.debhelper debian/nanny.postinst.debhelper.bak
	dh_pycentral
	cat debian/nanny.postinst.debhelper.bak >> debian/nanny.postinst.debhelper
	rm debian/nanny.postinst.debhelper.bak

## nanny 2.31.1

=== debian/changelog ===
nanny (2.31.1-0ubuntu4) natty; urgency=low

  * Add patch that corrects a typo: rename Gobject to GObject
    Thanks to Hsin-Yu, Chen

 -- Jonathan Carter <jonathan@ubuntu.com>  Sat, 19 Mar 2011 13:24:25 -0400

nanny (2.31.1-0ubuntu3) natty; urgency=low

  * Add patch to make Nanny work with new Python GObjectMeta class
    Thanks you Hsin-Yi, Chen

 -- Jonathan Carter <jonathan@ubuntu.com>  Mon, 14 Mar 2011 09:42:24 -0400

nanny (2.31.1-0ubuntu2) natty; urgency=low

  * Add patch for better Chinese glyph support
    Thank you Hsin-Yi, Chen (Closes: LP: #722970)

 -- Jonathan Carter <jonathan@ubuntu.com>  Sun, 13 Mar 2011 21:49:56 -0400

nanny (2.31.1-0ubuntu1) natty; urgency=low

  * New upstream version 2.31.1 

 -- Jonathan Carter <jonathan@ubuntu.com>  Sun, 06 Mar 2011 21:23:13 -0500

nanny (2.29.4-0ubuntu5) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 15:06:28 +0000

=== debian/control ===
Source: nanny
Section: net
Priority: optional
Maintainer: Edubuntu Developers <edubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 7), cdbs, python-gtk2-dev, python-dbus , python-gnome2-dev, python-sqlite, libdbus-1-dev, gnome-doc-utils, libsqlite3-dev, python-twisted-core, python-twisted-web, python-imaging, intltool (>= 0.35), python-dev (>= 2.5), python-central (>= 0.5.10), gnome-common, python-hachoir-regex, scrollkeeper, quilt, python-gtop
Standards-Version: 3.9.1
XS-Python-Version: current
Homepage: http://projects.gnome.org/nanny
Vcs-Browser: http://codebrowse.launchpad.net/~guadalinex-members/nanny/trunk/changes
Vcs-Bzr: http://bazaar.launchpad.net/~guadalinex-members/nanny/trunk

Package: nanny
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, python-gtk2, python-gnome2, python-glade2, gnome-icon-theme, libgtk2.0-bin, libgnome2-0, python-dbus, python-sqlite, python-twisted-core, python-twisted-web, python-imaging, python-hachoir-regex, python-gtop, ${shlibs:Depends}, ${misc:Depends}
Description: Parental Control System
 An easy way to control what your kids are doing in the computer.
 You can limit how much time a day each one of them is browsing the web, 
 chatting or doing email. You can decide at which times of the day the 
 can do this things as well. Nanny filters what web pages are seen 
 by each user, so you can block all undesirable webs and have your kids 
 enjoy the internet with ease of mind, no more worries!

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/nanny/([\d\.]+)/ \
        nanny-(.*)\.tar\.gz
